Loading...
Searching...
No Matches
additive_scrambler.h File Reference
`#include <gnuradio/digital/api.h>`
`#include <gnuradio/sync_block.h>`
Include dependency graph for additive_scrambler.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | gr::digital::additive_scrambler< T >
| Scramble an input stream using an LFSR. More...

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::digital

## Typedefs

typedef additive_scrambler< gr_complex > | gr::digital::additive_scrambler_cc
typedef additive_scrambler< float > | gr::digital::additive_scrambler_ff
typedef additive_scrambler< int32_t > | gr::digital::additive_scrambler_ii
typedef additive_scrambler< int16_t > | gr::digital::additive_scrambler_ss
typedef additive_scrambler< uint8_t > | gr::digital::additive_scrambler_bb